/**
  * Aller (le terrier d'AbulEdu)
  *
  * @warning aucun traitement d'erreur n'est pour l'instant implémenté
  * @see https://redmine.ryxeo.com/projects/leterrier-aller
  * @author 2011 Jean-Louis Frucot <frucot.jeanlouis@free.fr>
  * @see The GNU Public License (GPL)
  */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "abuleduentete.h"

AbuleduEntete::AbuleduEntete(QSizeF taille, QGraphicsObject *parent) :
    QGraphicsObject(parent)
{
    m_taille = taille;
    setBrush(Qt::white);
    setPen(QPen(QColor(Qt::black), 1));
}

// NSE
void AbuleduEntete::setBrush(QBrush brosseFond)
{
    m_brosseFond = brosseFond;
}
void AbuleduEntete::setPen(QPen contour)
{
    m_penContour = contour;
}


void AbuleduEntete::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    // NSE - Ajout de couleur de fond
    painter->setPen(m_penContour); // Le crayon de contour
    painter->setBrush(m_brosseFond); // La couleur du fond

    // Dessin du rectangle
    painter->drawRect(0, 0, m_taille.width(), m_taille.height());
}


QRectF AbuleduEntete::boundingRect() const
{
    return QRectF(0, 0, m_taille.width(), m_taille.height());
}

